# Alert Status Update

\
Status updates are initiated from the merchant system to inform TxShield about the status of a previous alert raised by TxShield. Updates can be synchronous, returning to the alert notification/webhook, or asynchronous when calling this endpoint.

<mark style="color:green;">`POST`</mark>`      ``/secure/alert/update/v2/`

#### Request Body

| Name                              | Type   | Description                                                                                                                                                                                                                                                                                             |
| --------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| alert\_outcome\_currency          | String | The currency for the alert\_outcome\_amount                                                                                                                                                                                                                                                             |
| alert\_outcome\_amount            | String | The amount that was cancelled / refunded. Can be partial or full amount of the alert.                                                                                                                                                                                                                   |
| alert\_outcome\_action\_date      | String | The date & time that the outcome was reached on, e.g. the time and date that the refund was processed.                                                                                                                                                                                                  |
| reason\_code                      | String | Reason code will explain the reason for each “status” parameter. It should be in the format xxx.yyy where xxx is the [reason code](/txalerts-dispute-alerts/appendix/reason-code.md) and yyyy is the [result code](/txalerts-dispute-alerts/appendix/result-code.md). This is a **mandatory parameter** |
| comments                          | String | Reason for not refunding when 900.002 is used as reason code                                                                                                                                                                                                                                            |
| status                            | String | Status of the transaction. - RESOLVED - DECLINED - WIP - OTHER. See [status page](/txalerts-dispute-alerts/appendix/status.md) for details. This is a **mandatory parameter**                                                                                                                           |
| alert\_id                         | String | Alert ID from the original alert sent by TxShield. This is a **mandatory parameter** to map the status update of the initial alert                                                                                                                                                                      |
| tx\_details\[].duplicate\_alertid | String | alertid of the duplicate alert This is a **mandatory parameter** when using reason\_code 940                                                                                                                                                                                                            |
| tx\_details\[].userid             | String | Merchant can pass the userid of the user who did the action in this field                                                                                                                                                                                                                               |
| tx\_details\[].username           | String | Merchant can pass the user name of the user who did the action in this field                                                                                                                                                                                                                            |
| txdetails\[]                      | String | Merchant can use json structure to send the details of the user or the duplicates in this field                                                                                                                                                                                                         |
| merchant\_notes                   | String | Merchant can use this field for their reference. This will be stored in the alert record                                                                                                                                                                                                                |

### Example

**JSON : Header**

```
"rcode: xxxxxxxxxxx ",
"Content-Type: application/json"
```

**JSON : Format**

```
Postdata
{
"alert_id": 10001,
"status": "resolved",
"reason_code": "100.001",
"tx_details": {"duplicate_alertid":"12323" },
"alert_outcome_action_date": "2020-11-09T05:00:00+02:00",
"alert_outcome_amount": "10",
"alert_outcome_currency": "USD"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/alert-status-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
